#!/bin/sh
# a sample skeleton for handling ACPI events

if [ $# != 1 ]; then
	exit 1
fi
set $*
group=`echo $1 | cut -d/ -f1`
action=`echo $1 | cut -d/ -f2 --only-delimited`

case "$group" in
	button)
		case "$action" in
			power)	/sbin/init 0
				;;
			lid)
				logger "ACPI: lid button is pressed"
				# /usr/sbin/hibernate
				;;
			*)	logger "ACPI action $action is not defined"
				;;
		esac
		;;

	*)
		logger "ACPI group $group is not defined"
		;;
esac
